Spigot LightAPI 3.2.9

Bukkit library for create invisible light source

  1. "RESOURCE IS INACTIVE! SWITCH TO THIS FORK BY @bottomdumber !"
    But when I use this version (3.2.4) console says it's outdated!
     
    • Funny Funny x 1
  2. Console says it's outdated, because my last fork 3.2.4-X is still looking for updates in author's repository. My fork was build before author accepted last changes. Then author accepted changes and build it as final 3.2.5
    So my 3.2.4-X = his 3.2.5

    You can use my 3.2.4-X or this 3.2.5. They are identical.
    To suppress warnings about update you can set in config.yml updater: enable: false

    When my new version 3.2.6 for 1.13 will be ready (lyou will found it here), I will certainly inform about this here and there.
    :)
     
    #122 bottomdumber, Jul 23, 2018
    Last edited: Jul 23, 2018
  3. ★★★ Announcement
    Support for spigot 1.13 has been added.
    You can download new version 3.2.6 from my fork here
    After installing, please, edit your plugins/LightAPI/config.yml and set option repo (section updater) to the value Qveshn/LightAPI
    This is necessary for correct validation of new versions the next time
     
    • Like Like x 1
  4. ★★★ Announcement
    Support for spigot 1.13.1 has been added.
    You can download new version 3.2.7 from my fork here
    After installing, please, edit your plugins/LightAPI/config.yml and set option repo (section updater) to the value Qveshn/LightAPI
    This is necessary for correct validation of new versions the next time
     
  5. ★★★ Announcement
    Support for spigot 1.13.2 has been added.
    You can download new version 3.2.9 from my fork here
     
    • Like Like x 1
  6. EvilSpawn updated LightAPI with a new update entry:

    3.2.7

    Read the rest of this update entry...
     
    • Winner Winner x 1
  7. Wait? Now this resource is active, and the fork isn't? :D
     
  8. SlimeDog

    Patron

    Devs get busy with real life. We should be grateful that they sometimes return. This is the second one in the 1.14 rollout, for the 120+ plugins I track. Bottomdumber may choose to continue the fork (it's been only two weeks), although there is no reason to do so if EvilSpawn is active. It isn't a competition; he performed a service to the community while EvilSpawn was away.
     
    #130 SlimeDog, May 8, 2019
    Last edited: May 8, 2019
    • Like Like x 1
  9. I'm confused, do we use the fork or this?
     
  10. SlimeDog

    Patron

    Read back since March 20, then decide for yourself.
     
  11. @EvilSpawn Thanks for updating again man, but you might wanna update the resource description, its really hard to tell the plugin is actually active and working for 1.14
     
    • Agree Agree x 2
  12. ★★★ Announcement
    LightAPI fork 3.3.1
    now supports minecraft servers 1.8 - 1.14 (compatibility with old LightAPI interface).
    You can download it here
     
    • Winner Winner x 1
  13. SlimeDog

    Patron

    Confusing. Overview says "RESOURCE IS INACTIVE! SWITCH TO THIS FORK BY @bottomdumber !" yet we have an update. Which is it, please?